# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ksysv (executable) ########################

tde_add_executable( ksysv AUTOMOC
  SOURCES main.cpp ActionList.cpp IOCore.cpp ksvdraglist.cpp
    RunlevelAuthIcon.cpp OldView.cpp Properties.cpp SpinBox.cpp ServiceDlg.cpp
    TopWidget.cpp Data.cpp ksv_conf.cpp ksvapplication.cpp kdltooltip.cpp
    ksv_core.cpp ksvdrag.cpp kscroller.cpp ksv_service.cpp leveldb.c
    PreferencesDialog.cpp trash.cpp pathconfig.ui ksvpathconfig.cpp
    miscconfig.ui ksvmiscconfig.cpp lookandfeelconfig.ui ksvlookandfeel.cpp
    configwizard.ui ksvconfigwizard.cpp kbusymanager.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( )


##### other data ################################

install( FILES ksysvui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksysv
)

tde_create_translated_desktop(
  SOURCE ksysv.desktop
  PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/ksysv-desktops
)

tde_create_translated_desktop(
  SOURCE x-ksysv-log.desktop
  DESTINATION ${MIME_INSTALL_DIR}/text
  PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/ksysv-desktops
)

tde_create_translated_desktop(
  SOURCE x-ksysv.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/ksysv-desktops
)
